# Construct PubMed search from journal listing

# Read and clean
journals <- read.csv("EMjournalsTop20.csv")


# Construct journal part of search
jn <- journals$PubMedSearch
jn <- sub( "^ *", "", jn ) 
jn <- sub( " *$", "", jn ) 
jn <- jn[ jn != "" ]
jn <- paste0( '"', jn, '"[Journal]' )

jnOr <- paste( jn, collapse = " OR " )

# Add parens and remainder of search

srch <- paste0( '(', jnOr, ') AND ("sensitivity and specificity"[MeSH Terms] OR ("sensitivity"[All Fields] OR "specificity"[All Fields])) AND "100%"[All Fields]') 

cat( "\n\n",srch,"\n\n", file = "EMjournalsTop20.PubMedSearch.out")





## This search then gets run in PubMed, followed by "Send to:"/File/XML