# Common header for all R files

options( stringsAsFactors = FALSE )

# Packages
suppressPackageStartupMessages( library(xtable) )
suppressPackageStartupMessages( library(functional) )
suppressPackageStartupMessages( library(dplyr) )
suppressPackageStartupMessages( library(reshape2) )
suppressPackageStartupMessages( library(stringr) )
suppressPackageStartupMessages( library(scales) )
suppressPackageStartupMessages( library(pander) )
suppressPackageStartupMessages( library(XML) )
suppressPackageStartupMessages( library(taRifx) )
suppressPackageStartupMessages( library(MatchIt) )

# Config
basedir <- file.path(.proj,"misc","bootLR_Applied")
datadir <- file.path(basedir,"data")
intdir <- file.path(basedir,"intermediate_results")
plotdir <- file.path(basedir,"plots")
sourcedir <- file.path( basedir, "source" )

# Store the column names in the order they should be exported in
cn <- c("firstauth", "year", "name", "journal", "pmid", "abstract", 
  "keywords", "dateAccessed", "exclusion", "match_100pct", "match_0pct", 
  "match", "database", "doi")